Summary:IIIMF Input Method Software Developpers Kit
Name: iiimf
Epoch: 1
Version: trunk_r2059
Release: 0vl1
License: GPL
Source: %{name}-%{version}.tar.gz
Patch0: %{name}-%{version}.patch
Patch1: %{name}-%{version}-js.patch
Patch2: %{name}-%{version}-2.patch
Patch9000: %{name}-%{version}-nicola.patch

%define rcscript IIim

URL: http://www.oepni18n.org/
Group: User Interface/X
Buildroot: %{_tmppath}/%{name}-%{version}-root
BuildPreReq: tcp_wrappers
#BuildRequires: Canna-devel

%description
im-sdk is a Software Development kit for
IIIMF(Internet/Intranet Input Method Framework).
IIIMF is a platform neutral/device independent
multi-lingual input method framework.

%package -n iiimf-csconv
Summary:      Codeset Conversion modules for IIIMF components
Group:        System/OPENI18N/IIIMF
Autoreqprov:  on

%description -n iiimf-csconv
Provides Codeset Conversion modules for IIIMF components.

%package -n iiimf-protocol-lib
Summary:      Internet/Intranet Input Method Protocol library
Group:        System/OPENI18N/IIIMF
Autoreqprov:  on

%description -n iiimf-protocol-lib
Provides Internet/Intranet Input Method Protocol library.

%package -n iiimf-protocol-lib-devel
Summary:      Internet/Intranet Input Method Protocol library header files.
Group:        System/OPENI18N/IIIMF
Autoreqprov:  on

%description -n iiimf-protocol-lib-devel
Provides Internet/Intranet Input Method Protocol library header files.

%package -n iiimf-client-lib
Summary:      Internet/Intranet Input Method Client Framework library
Group:        System/OPENI18N/IIIMF
Autoreqprov:  on
#Requires:	iiimf-protocol-lib >= 11_4-4

%description -n iiimf-client-lib
Provides Internet/Intranet Input Method Client Framework library.

%package -n iiimf-client-lib-devel
Summary:      Internet/Intranet Input Method Client Framework library header files.
Group:        System/OPENI18N/IIIMF
Autoreqprov:  on

%description -n iiimf-client-lib-devel
Provides Internet/Intranet Input Method Client Framework library header files.

%package -n iiimf-server
Summary:      IIIMF input method server
Group:        System/OPENI18N/IIIMF
Autoreqprov:  on
#Requires:	iiimf-csconv >= 11_4-4
#Requires:	iiimf-protocol-lib >= 11_4-4
#Requires:	iiimf-client-lib >= 11_4-4

%description -n iiimf-server
IIIMF server is a server module of Internet/Intranet Input Method Framework.

#%package -n iiimf-le-unit
#Summary:      Unit language engine for iiimf-server
#Group:        System/OPENI18N/IIIMF
#Autoreqprov:  on
#Requires:	iiimf-server >= 11_4-4

#%description -n iiimf-le-unit
#Provides Unit language engine for iiimf-server.

#%package -n iiimf-le-newpy
#Summary:      New Pinyin language engine for iiimf-server
#Group:        System/OPENI18N/IIIMF
#Autoreqprov:  on
#Requires:	iiimf-server >= 11_4-4

#%description -n iiimf-le-newpy
#Provides New Pinyin language engine for iiimf-server

#%package -n iiimf-le-hangul
#Summary:      Korean language engine for iiimf-server
#Group:        System/OPENI18N/IIIMF
#Autoreqprov:  on
#Requires:	iiimf-server >= 11_4-4

#%description -n iiimf-le-hangul
#Provides Korean language engine for iiimf-server

#%package -n iiimf-le-canna
#Summary:      Japanese Canna engine for iiimf-server
#Group:        System/OPENI18N/IIIMF
#Autoreqprov:  on
#Requires:	iiimf-server >= 11_4-4

#%description -n iiimf-le-canna
#Provides Japanese Canna engine for iiimf-server

%package -n iiimf-x
Summary:      IIIMF XIM BackEnd module
Group:        System/OPENI18N/IIIMF
Autoreqprov:  on
#Requires:       XFree86-libs >= 4.3.0

%description -n iiimf-x
IIIMF X Provides XIM bridge modules through which legacy XIM clients should
be able to communicate to IIIMF server.

#%package -n iiimf-gtk22
#Summary:      GTK Input Method Context Module for IIIMP
#Group:        System/OPENI18N/IIIMF
#Autoreqprov:  on
#BuildRequires:	glib2-devel >= 2.2.1
#BuildRequires:  pango-devel >= 1.2.1
#BuildRequires:	gtk2-devel >= 2.2.1
#Requires:       glib2 >= 2.2.1
#Requires:	pango >= 1.2.1
#Requires:       gtk2 >= 2.2.1
##Requires:	iiimf-client-lib >= 11_4-4

#%description -n iiimf-gtk22
#IIIMF binding for gtk 2.2

%package -n iiimf-gtk24
Summary:      GTK Input Method Context Module for IIIMP
Group:        System/OPENI18N/IIIMF
Autoreqprov:  on
BuildRequires:	glib2-devel >= 2.2.1
BuildRequires:  pango-devel >= 1.2.1
BuildRequires:	gtk2-devel >= 2.2.1
Requires:       glib2 >= 2.2.1
Requires:	pango >= 1.2.1
Requires:       gtk2 >= 2.2.1
#Requires:	iiimf-client-lib >= 11_4-4

%description -n iiimf-gtk24
IIIMF binding for gtk 2.4

%package -n iiimf-gtkopt24
Summary:      GTK Input Method Context Module for IIIMP
Group:        System/OPENI18N/IIIMF
Autoreqprov:  on
BuildRequires:	glib2-devel >= 2.2.1
BuildRequires:  pango-devel >= 1.2.1
BuildRequires:	gtk2-devel >= 2.2.1
Requires:       glib2 >= 2.2.1
Requires:	pango >= 1.2.1
Requires:       gtk2 >= 2.2.1
#Requires:	iiimf-client-lib >= 11_4-4

%description -n iiimf-gtkopt24
IIIMF binding for gtk 2.4(opt)

%package -n iiimf-docs
Summary:      IIIMF documentations
Group:        System/OPENI18N/IIIMF
Autoreqprov:  on

%description -n iiimf-docs
Provides IIIMF documentations

%package -n iiimf-notuse
Summary:      Not use
Group:        System/OPENI18N/IIIMF
Autoreqprov:  on

%description -n iiimf-notuse
Provides Not use

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch9000 -p1

%build
chmod +x `find . -name "*.sh" -o -name "configure" -o -name "mkinstalldirs"`
chmod +x `find . -name "IIim" -a -type f`

cd lib/iiimp
echo config lib/iiimp > /dev/tty
CFLAGS="$RPM_OPT_FLAGS"		\
libtoolize --copy --force
sh autogen.sh --prefix=%{_prefix} --localstatedir=/var --bindir=/usr/bin  \
            --sysconfdir=/etc
echo make lib/iiimp > /dev/tty
make
cd ..

cd CSConv
echo config lib/CSConv > /dev/tty
CFLAGS="$RPM_OPT_FLAGS"		\
sh configure
echo make lib/CSConv > /dev/tty
make
cd ..

cd EIMIL
echo config lib/EIMIL > /dev/tty
libtoolize --copy --force
sh autogen.sh --prefix=%{_prefix} --localstatedir=/var --bindir=/usr/bin  \
            --sysconfdir=/etc
echo make lib/EIMIL > /dev/tty
make
cd ..

cd iiimcf
echo config lib/iiimcf > /dev/tty
CFLAGS="$RPM_OPT_FLAGS"		\
libtoolize --copy --force
sh autogen.sh --prefix=%{_prefix} --localstatedir=/var --bindir=/usr/bin  \
            --sysconfdir=/etc
echo make lib/iiimcf > /dev/tty
make
cd ../..

cd iiimsf
echo config iiimsf > /dev/tty
CFLAGS="$RPM_OPT_FLAGS"		 \
libtoolize --copy --force
sh autogen.sh --prefix=%{_prefix} --localstatedir=/var --bindir=/usr/bin  \
            --sysconfdir=/etc
echo make iiimsf > /dev/tty
make
cd ..

#cd leif
#CFLAGS="$RPM_OPT_FLAGS"		\
#sh autogen.sh --prefix=%{_prefix}
#make
#cd ..

cd iiimxcf/xiiimp.so
echo config iiimxcf/xiiimp.so > /dev/tty
CFLAGS="$RPM_OPT_FLAGS"		\
libtoolize --copy --force
sh autogen.sh --prefix=%{_prefix} --localstatedir=/var --bindir=/usr/bin  \
            --sysconfdir=/etc
echo make iiimxcf/xiiimp.so > /dev/tty
make
cd ../..

cd iiimxcf/htt_xbe
echo config iiimxcf/htt_xbe > /dev/tty
CFLAGS="$RPM_OPT_FLAGS"		\
libtoolize --copy --force
sh autogen.sh --prefix=%{_prefix} --localstatedir=/var --bindir=/usr/bin  \
            --sysconfdir=/etc
echo make iiimxcf/htt_xbe > /dev/tty
make
cd ../..

cd iiimgcf
echo config iiimgcf > /dev/tty
CFLAGS="$RPM_OPT_FLAGS"		\
libtoolize --copy --force
sh autogen.sh --prefix=%{_prefix} --localstatedir=/var --bindir=/usr/bin  \
            --sysconfdir=/etc
echo make iiimgcf > /dev/tty
make
cd ..

#cd gnome-im-switcher
#CFLAGS="$RPM_OPT_FLAGS"		\
#sh autogen.sh --prefix=%{_prefix}\
#	    --sysconfdir=%{_sysconfdir} --libdir=%{_prefix}/%{_lib}
#make
#cd ..

cd doc
echo config doc > /dev/tty
CFLAGS="$RPM_OPT_FLAGS"		\
libtoolize --copy --force
sh autogen.sh --prefix=%{_prefix} --localstatedir=/var --bindir=/usr/bin  \
            --sysconfdir=/etc
echo make doc > /dev/tty
make
cd ..

cd lib/CSConv
echo install lib/CSConv > /dev/tty
make DESTDIR=$RPM_BUILD_ROOT install
cd ../..

cd lib/EIMIL
echo install lib/EIMIL > /dev/tty
make DESTDIR=$RPM_BUILD_ROOT install
cd ../..

cd lib/iiimp
echo install lib/iiimp > /dev/tty
make DESTDIR=$RPM_BUILD_ROOT install
cd ../..

cd lib/iiimcf
echo install lib/iiimcf > /dev/tty
make DESTDIR=$RPM_BUILD_ROOT install
cd ../..

cd iiimsf
echo install iiimsf > /dev/tty
make DESTDIR=$RPM_BUILD_ROOT install
cd ..

#cd leif
#make DESTDIR=$RPM_BUILD_ROOT install
#cd ..

cd iiimxcf/xiiimp.so
echo install iiimxf/xiiimp.so > /dev/tty
make DESTDIR=$RPM_BUILD_ROOT install
cd ../..

cd iiimxcf/htt_xbe
echo install iiimxf/htt_xbe > /dev/tty
make DESTDIR=$RPM_BUILD_ROOT install
cd ../..

cd iiimgcf
echo install iiimgcf > /dev/tty
make DESTDIR=$RPM_BUILD_ROOT install
cd ..
#cp -rp $RPM_BUILD_ROOT/usr/lib/gtk-2.0/2.2.0 $RPM_BUILD_ROOT/usr/lib/gtk-2.0/2.4.0
mkdir -p -m 755 $RPM_BUILD_ROOT/opt/gnome/lib/gtk-2.0
#cp -rp $RPM_BUILD_ROOT/usr/lib/gtk-2.0/2.2.0 $RPM_BUILD_ROOT/opt/gnome/lib/gtk-2.0/2.4.0
cp -rp $RPM_BUILD_ROOT/usr/lib/gtk-2.0/2.4.0 $RPM_BUILD_ROOT/opt/gnome/lib/gtk-2.0/2.4.0

#cd gnome-im-switcher
#export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
#make DESTDIR=$RPM_BUILD_ROOT install
#unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL
#cd ..

cd doc
echo install doc > /dev/tty
make DESTDIR=$RPM_BUILD_ROOT install
cd ..

find $RPM_BUILD_ROOT -exec touch -t %filedate '{}' ';'

%clean
#rm -rf ${RPM_BUILD_ROOT}

%files
#%defattr(-,root,root)
#%{prefix}/*
#%{_libdir}/gtk-2.0/*
#Disabled for 20030507-1
#/usr/X11R6/lib/X11/locale/common/*

%files -n iiimf-csconv
%defattr (-, root, root)
%{_prefix}/lib/im/csconv/*
#%{_prefix}/lib/im/csconv/compoundtext/*
%{_prefix}/lib/im/icuconv/*.so
%{_prefix}/lib/im/share/icu/1.4.0/*

%files -n iiimf-protocol-lib
%defattr (-, root, root)
%{_libdir}/libiiimp*
#%{_libdir}/im/lib/libEIMIL*

%files -n iiimf-protocol-lib-devel
%defattr (-, root, root)
%{_includedir}/iiimp.h
%{_includedir}/iiimp-character-subsets.h
%{_includedir}/iiimp-data.h
%{_includedir}/iiimp-keycode.h
%{_includedir}/iiimp-opcode.h
#%{_libdir}/im/include/EIMIL.h


%files -n iiimf-client-lib
%defattr (-, root, root)
%{_libdir}/libiiimcf*.so.*

%files -n iiimf-client-lib-devel
%defattr (-, root, root)
%{_libdir}/libiiimcf*
%{_includedir}/iiimcf.h

%files -n iiimf-server
%defattr (-, root, root)
#%{_initrddir}/IIim
%{_sysconfdir}/iiim/htt.xml.conf
%{_libdir}/im/htt
%{_libdir}/im/htt_server
%{_bindir}/iiimf-le-tools

#%files -n iiimf-le-unit
#%defattr (-, root, root)
#%{_libdir}/im/leif/unitle.so
#%{_libdir}/im/locale/UNIT/*

#%files -n iiimf-le-newpy
#%defattr (-, root, root)
#%{_libdir}/im/leif/newpy.*
#%{_libdir}/im/locale/zh_CN/newpy/*

#%files -n iiimf-le-hangul
#%defattr (-, root, root)
#%{_libdir}/im/leif/hangul.*
#%{_libdir}/im/locale/ko_KR/hangul.conf

#%files -n iiimf-le-canna
#%defattr (-, root, root)
#%{_libdir}/im/leif/CannaLE*

%files -n iiimf-x
%defattr (-, root, root)
#%{_sysconfdir}/iiim/xsession
%{_libdir}/im/httx
%{_libdir}/im/htt_xbe
%{_libdir}/im/xiiimp*

#%files -n iiimf-gtk22
#%defattr (-, root, root)
#%{_libdir}/gtk-2.0/2.2.0/immodules/*
#%{_sysconfdir}/gconf/schemas/*
#%{_libdir}/bonobo/*
#%{_libexecdir}/*
#%{_datadir}/locale/*
#%{_datadir}/gnome-2.0/*

%files -n iiimf-gtk24
%defattr (-, root, root)
%{_libdir}/gtk-2.0/2.4.0/immodules/*

%files -n iiimf-gtkopt24
%defattr (-, root, root)
/opt/gnome/lib/gtk-2.0/2.4.0/immodules/*

%files -n iiimf-docs
%defattr(-, root, root)
%{_prefix}/share/doc/IIIM

%files -n iiimf-notuse
%defattr (-, root, root)
%{_bindir}/arithtest
%{_bindir}/flowtest
%{_bindir}/parsertest
%{_libexecdir}/iiimf-segv-logger
%{_prefix}/share/iiim/gdbcmd

%changelog
* Sun Oct 30 2005 NOGUCHI Shoji <noguchi@org3.net>
- add NICOLA
- Fix up rpm build errors
* Fri Mar 15 2004 ILGYOUNG PARK <Karl.Park@Sun.COM>
- Fix up rpm build errors
* Fri Jan 9 2004 ILGYOUNG PARK <Karl.Park@Sun.COM> r11_4-4
- Initial version based on Yu Shao's spec file
